Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.console.extensibility
Interface SecurityExtension

All Known Subinterfaces:
  SecurityExtensionV2

public interface SecurityExtension

The `SecurityExtension` interface should be implemented by developers who want to create a console extension to configure and manage a custom security provider. The `SecurityExtension` interface can be implemented in place of, or in addition to, extending the `Extension` class.

Each of the methods in this interface should return a URI (including a query string, if desired) that is relative to the console extension's Web application root (for example: `/custom/pages/User?user=myuser`).

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Extension`

Method Summary
`java.lang.String` | `getExtensionForGroup(javax.management.ObjectName realm, javax.management.ObjectName provider, java.lang.String groupName)` Called when an Administration Console user wants to create or edit a group.
`java.lang.String` | `getExtensionForPolicy(javax.management.ObjectName realm, javax.management.ObjectName provider, java.lang.String resource)` Called when an Administration Console user wants to create or edit a security policy.
`java.lang.String` | `getExtensionForProvider(javax.management.ObjectName realm, java.lang.String providerClass, javax.management.ObjectName provider)` Called when an Administration Console user wants to configure a new a custom security provider or edit the configuration for an existing custom security provider.
`java.lang.String` | `getExtensionForRole(javax.management.ObjectName realm, javax.management.ObjectName provider, java.lang.String resource, java.lang.String roleName)` Called when an Administration Console user wants to create or edit a role.
`java.lang.String` | `getExtensionForUser(javax.management.ObjectName realm, javax.management.ObjectName provider, java.lang.String userName)` Called when an Administration Console user wants to create or edit a user.

Method Detail

### getExtensionForProvider

    public java.lang.String getExtensionForProvider(javax.management.ObjectName realm,
                                                    java.lang.String providerClass,
                                                    javax.management.ObjectName provider)

  Called when an Administration Console user wants to configure a new a custom security provider or edit the configuration for an existing custom security provider.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `providerClass` - the class name of the custom security provider's MBean type, which is useful for creating a new MBean instance (that is, creating a new custom security provider configuration).

    `provider` - the JMX object name of the custom security provider that is to be edited, or `null` if a new custom security provider of this class should be configured.

  Returns:
    a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this custom security provider. A return value of `null` indicates that the console extension has no page to configure this custom security provider.

### getExtensionForUser

    public java.lang.String getExtensionForUser(javax.management.ObjectName realm,
                                                javax.management.ObjectName provider,
                                                java.lang.String userName)

  Called when an Administration Console user wants to create or edit a user. This method is likely to be used with a custom Authentication provider.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `provider` - the JMX object name of the custom security provider that is associated with this user, or, in the case of a request to create a new user, the custom security provider that the Administration Console user selected.

    `userName` - the name of the user to be displayed, or `null` if this is a request to create a new user.

  Returns:
    a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this user. A return value of `null` indicates that the console extension has no page to configure this user.

### getExtensionForGroup

    public java.lang.String getExtensionForGroup(javax.management.ObjectName realm,
                                                 javax.management.ObjectName provider,
                                                 java.lang.String groupName)

  Called when an Administration Console user wants to create or edit a group. This method is likely to be used with a custom Authentication provider.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `provider` - the JMX object name of the custom security provider that is associated with this group, or, in the case of a request to create a new group, the custom security provider that the Administration Console user selected.

    `groupName` - the name of the group to be displayed, or `null` if this is a request to create a new group.

  Returns:
    a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this group. A return value of `null` indicates that the console extension has no page to configure this group.

### getExtensionForRole

    public java.lang.String getExtensionForRole(javax.management.ObjectName realm,
                                                javax.management.ObjectName provider,
                                                java.lang.String resource,
                                                java.lang.String roleName)

  Called when an Administration Console user wants to create or edit a role. This method is likely to be used with a custom Role Mapping provider.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `provider` - the JMX object name of the custom security provider that is associated with this role, or, in the case of a request to create a new role, the custom security provider that the Administration Console user selected.

    `resource` - the name of the WebLogic resource, or an empty string if this role is to be a global role.

    `roleName` - the name of the role to be displayed, or `null` if this is a request to create a new role.

  Returns:
    a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this role. A return value of `null` indicates that the console extension has no page to configure this role.

### getExtensionForPolicy

    public java.lang.String getExtensionForPolicy(javax.management.ObjectName realm,
                                                  javax.management.ObjectName provider,
                                                  java.lang.String resource)

  Called when an Administration Console user wants to create or edit a security policy. This method is likely to be used with a custom Authorization provider.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `provider` - the JMX object name of the custom security provider that is associated with this security policy, or, in the case of a request to create a new security policy, the custom security provider that the Administration Console user selected.

    `resource` - the resource ID for the WebLogic resource, which this security policy manages.

  Returns:
    a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this security policy. A return value of `null` indicates that the console extension has no page to configure this security policy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD